import { Button, Space } from "antd";
import { inject, observer } from "mobx-react";
import { Store } from "antd/lib/form/interface";
import React from "react";
import "./index.less";

const Dashbord = (props: Store) => {
  return (
    <div className="contentBox">
      <Space direction="vertical" size="middle" style={{ display: "flex" }}>
        <Button type="primary" onClick={() => props.usrStore.getUserList()}>
          获取用户列表
        </Button>
      </Space>
    </div>
  );
};

export default inject("usrStore")(observer(Dashbord));
