import { base } from '@/service/base';


class UserService {
    static configAdd: string = "/user";
    static configEdit: string = "/user";
    static configList: string = "/user/list";
    static configDelete: string = "/user";
    static async add(params) {
        return await base.post(UserService.configAdd, params);
    }

    static async edit(identity: string, params: any) {
        return await base.put(UserService.configEdit + "/" + identity, params);
    }

    static async remove(identity) {
        return await base.delete(UserService.configEdit + "/" + identity, {});
    }

    static async list(params) {
        return await base.get(UserService.configList, params);
    }
}
export default UserService ;